<template>
  <div>
    <TwoColumnPage>
      <template slot="left">
        <ItemLeftList  ref="SampleleftModal" @on-result-change="_leftResult"></ItemLeftList>
      </template>
      <template slot="right">
        <ItemRightList ref="SamplerightModal" @on-result-change="_rightResult"></ItemRightList>
      </template>
    </TwoColumnPage>
  </div>
</template>

<script>
import TwoColumnPage from '../../../../../components/base/TwoColumnPage'
import ItemLeftList from './SampleLeftList'
import ItemRightList from './SampleRightList'

export default {
  components: {
    TwoColumnPage,
    ItemLeftList,
    ItemRightList
  },
  data() {
    return {}
  },
  methods: {
    _leftResult(data) {
      this.$refs.SamplerightModal._open(data)
    },
    _rightResult() {
      this.$refs.SampleleftModal._page()
    },
    _open(id) {
      this.$refs.SampleleftModal._open(id)
      // this.$refs.rightModal._getColumn()
    },
    _clearTab() {
      this.$refs.SamplerightModal._clearPage()
    }
  }
}
</script>
